aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Synopsis

- data SetIdentityFeedbackForwardingEnabled = SetIdentityFeedbackForwardingEnabled {
  - sffForwardingEnabled :: Bool
  - sffIdentity :: Text
  }
- data SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

# Documentation

data SetIdentityFeedbackForwardingEnabled Source #

Change whether bounces and complaints for the given identity will be forwarded as email.

Constructors

SetIdentityFeedbackForwardingEnabled |

Fields

- sffForwardingEnabled :: Bool
- sffIdentity :: Text

#### Instances

Instances details

SignQuery SetIdentityFeedbackForwardingEnabled Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ServiceConfiguration SetIdentityFeedbackForwardingEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration

Methods

signQuery :: SetIdentityFeedbackForwardingEnabled -> ServiceConfiguration SetIdentityFeedbackForwardingEnabled queryType -> SignatureData -> SignedQuery Source #

Show SetIdentityFeedbackForwardingEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods showsPrec :: Int -> SetIdentityFeedbackForwardingEnabled -> ShowS Source # show :: SetIdentityFeedbackForwardingEnabled -> String Source # showList :: [SetIdentityFeedbackForwardingEnabled] -> ShowS Source #
Eq SetIdentityFeedbackForwardingEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods (==) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source # (/=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source #
Ord SetIdentityFeedbackForwardingEnabled Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Methods

compare :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Ordering Source #

(<) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source #

(<=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source #

(>) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source #

(>=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool Source #

max :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled Source #

min :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled Source #

ResponseConsumer SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityFeedbackForwardingEnabled -> IORef (ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse) -> HTTPResponseConsumer SetIdentityFeedbackForwardingEnabledResponse Source #

Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
type ServiceConfiguration SetIdentityFeedbackForwardingEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration

data SetIdentityFeedbackForwardingEnabledResponse Source #

The response sent back by SES after the `SetIdentityFeedbackForwardingEnabled` command.

Constructors

SetIdentityFeedbackForwardingEnabledResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityFeedbackForwardingEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

Methods

loadToMemory :: SetIdentityFeedbackForwardingEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityFeedbackForwardingEnabledResponse) Source #

Show SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods showsPrec :: Int -> SetIdentityFeedbackForwardingEnabledResponse -> ShowS Source # show :: SetIdentityFeedbackForwardingEnabledResponse -> String Source # showList :: [SetIdentityFeedbackForwardingEnabledResponse] -> ShowS Source #
Eq SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods (==) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source # (/=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source #
Ord SetIdentityFeedbackForwardingEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Methods

compare :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Ordering Source #

(<) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source #

(<=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source #

(>) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source #

(>=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool Source #

max :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse Source #

min :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse Source #

ResponseConsumer SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityFeedbackForwardingEnabled -> IORef (ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse) -> HTTPResponseConsumer SetIdentityFeedbackForwardingEnabledResponse Source #

Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse
type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata